Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 159619

Summary: Adaptec RAID adapter (aacraid) device file not being created automatically
Product: Red Hat Enterprise Linux 4 Reporter: Marko Asplund <marko.asplund>
Component: kernelAssignee: Tom Coughlan <coughlan>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0CC: benl, davej, harald, ServeRAIDDriver, zing
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-20 13:19:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Marko Asplund 2005-06-06 06:50:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412 (KHTML, like Gecko) Safari/412

Description of problem:
i have a Adaptec SCSI RAID 2120S adapter on my RHEL 4 system. the RAID volume's seem to be working 
fine but there were problems with using the Adaptec RAID CLI application. the problems were resulting 
from the fact that the RAID adapter device file (/dev/aac0) does not get automatically created. the aacraid 
RAID driver version is '1.1.2-lk2 Apr  8 2005'. after manually creating the device file the CLI application 
starts working fine.



Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-5.0.5.EL

How reproducible:
Always

Steps to Reproduce:
1. install RHEL 4 on a system with a Adaptec RAID adapter
2. check if RAID adapter device file (/dev/aac0) exists
3.
  

Actual Results:  device file does not exist which results in RAID CLI application not functioning.

Expected Results:  device file should exist on the system.

Additional info:

here's some feedback from Arjan van de Ven:

"probably a driver issue in that in rhel4 devices get created by udev when they're registered in sysfs..."

Comment 2 Tom Coughlan 2005-06-07 14:21:57 UTC
As a workaround, you can put the aac0 device node in /etc/udev/devices. It will
be copied to /dev at boot time. 

I will check with Adaptec about getting the feature added to the driver.





Comment 3 Jiri Pallich 2012-06-20 13:19:14 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.